//static typing is not where you do more typing

//Typing the type information is hard and often is not as helpful as we
//think it is

//The more statically typed a language is, the less you have to say what the
//types are. The language can figure it out at compile time.

//Kotlin does type inference to a very reasonable level without going overboard

//Kotlin does not allow type inference for parameter names for functions.
//It also has limitations on type inference for return types

//local variables, fields, etc. can be inferred for type

//val greet: String = "hello"
val greet = "hello" //type is inferred to String based on the context

println(greet)

